Bug 1934036

Summary: invalid source0
Product: [Fedora] Fedora Reporter: david08741
Component: charliecloudAssignee: jogas
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dave.love, jogas
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: charliecloud-0.22-2.fc33 charliecloud-0.22-2.fc32 charliecloud-0.22-2.el7 charliecloud-0.21-2.el8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-03-17 02:17:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description david08741 2021-03-02 10:40:12 UTC
Description of problem:
spectool -g failes on spec

Version-Release number of selected component (if applicable):
git commit fa3465e2e17970f338725fff0f7eaf5bfa56e6d3

How reproducible:
always

Steps to Reproduce:
1. fedpkg clone  --anonymous charliecloud
2. cd charliecloud/
3. spectool -g charliecloud.spec 


Actual results:
Downloading: https://github.com/hpc/charliecloud/releases/downloads/v0.22/charliecloud-0.22.tar.gz
Download failed:
404 Client Error: Not Found for url: https://github.com/hpc/charliecloud/releases/downloads/v0.22/charliecloud-0.22.tar.gz
-   0.0 B Elapsed Time: 0:00:00  

Expected results:
download succeeds

Additional info:
It seems there is an extra s - as this works:
https://github.com/hpc/charliecloud/releases/download/v0.22/charliecloud-0.22.tar.gz

Comment 1 jogas 2021-03-08 18:04:11 UTC
Nice catch. I'll address this, along with another man 7 issue, hopefully this afternoon.

Comment 2 Fedora Update System 2021-03-08 23:10:29 UTC
FEDORA-2021-bd9cedd19d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bd9cedd19d

Comment 3 Fedora Update System 2021-03-08 23:10:32 UTC
FEDORA-EPEL-2021-b483843106 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b483843106

Comment 4 Fedora Update System 2021-03-08 23:10:35 UTC
FEDORA-2021-e3cae7fb5a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e3cae7fb5a

Comment 5 Fedora Update System 2021-03-08 23:10:37 UTC
FEDORA-EPEL-2021-0007e8c188 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-0007e8c188

Comment 6 Fedora Update System 2021-03-10 00:06:07 UTC
FEDORA-2021-bd9cedd19d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bd9cedd19d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bd9cedd19d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-10 00:32:18 UTC
FEDORA-EPEL-2021-0007e8c188 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-0007e8c188

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-10 00:49:55 UTC
FEDORA-EPEL-2021-b483843106 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b483843106

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-10 00:59:50 UTC
FEDORA-2021-e3cae7fb5a has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e3cae7fb5a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e3cae7fb5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-17 02:17:27 UTC
FEDORA-2021-bd9cedd19d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-03-18 04:11:57 UTC
FEDORA-2021-e3cae7fb5a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-03-24 02:09:26 UTC
FEDORA-EPEL-2021-0007e8c188 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-03-24 03:03:30 UTC
FEDORA-EPEL-2021-b483843106 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.